Options +FollowSymLinks
<IfModule mod_rewrite.c>


ErrorDocument 404 /missing.html

#RewriteRule ^(.*)\.html$ /?page=$1.html [QSA]

RewriteEngine On
RewriteRule \.(png|gif|jpe?g)$ - [NC,L]
RewriteRule ^david/(.*)  /?page=$1.php [QSA]
RewriteRule ^essay/(.*) /?page=essay/$1.html [QSA]
RewriteRule ^archives/(.*) /?page=archives/$1.html [QSA]

RewriteEngine On

RewriteRule (Russian|russian) http://66.233.120.116:8080/russian/ [QSA]
RewriteRule (AggieReview|aggiereview) http://66.233.120.116:8080/AggieReview/ [QSA]
RewriteRule (mypics|myphotos) http://66.233.120.116:8080/mypics/

RewriteRule photos$  http://photos.rationalmind.net
RewriteRule (forum$|ubb$) http://forum.objectivismonline.net
RewriteRule (economistress|Laurel|VanAllen) http://economistress.rationalmind.net/
RewriteRule (Art$|art$|art/gallery|hobbes_chicks) http://art.rationalmind.net/gallery
RewriteRule ObjectivismOnline http://www.objectivismonline.net [QSA]


RewriteRule resume$ /david/resume
RewriteRule essays$ /david/writing
RewriteRule about$ /david/about
RewriteRule contact$ /david/contact
RewriteRule myphotos$ /photos
RewriteRule links$ /david/links



     RewriteCond %{HTTP_USER_AGENT} ^EmailSiphon   [OR]
     RewriteCond %{HTTP_USER_AGENT} ^EmailWolf     [OR]
     RewriteCond %{HTTP_USER_AGENT} ^ExtractorPro  [OR]
     RewriteCond %{HTTP_USER_AGENT} ^CherryPicker  [OR]
     RewriteCond %{HTTP_USER_AGENT} ^NICErsPRO     [OR]
     RewriteCond %{HTTP_USER_AGENT} ^Teleport*28     [OR]
     RewriteCond %{HTTP_USER_AGENT} ^EmailCollector
RewriteRule ^.*$ missing.html  [L]

</IfModule>
